### Function: HasPendingLootItem(entity, player, item_id)

**Description:**
Identifies if the Player has a specific pending loot of item_id with the targetted Entity (NPC).

**Parameters:**
- `entity` (int32) - Integer value `entity`.
- `player` (Spawn) - Spawn object representing `player`.
- `item_id` (uint32) - Integer value `item_id`.

**Returns:** None.

**Example:**

Example Required
